[arch-commits] Commit in python-periphery/repos (2 files)

Evangelos Foutras foutrelis at gemini.archlinux.org
Fri Dec 3 00:34:11 UTC 2021


    Date: Friday, December 3, 2021 @ 00:34:11
  Author: foutrelis
Revision: 1063863

archrelease: copy trunk to community-staging-any

Added:
  python-periphery/repos/community-staging-any/
  python-periphery/repos/community-staging-any/PKGBUILD
    (from rev 1063861, python-periphery/trunk/PKGBUILD)

----------+
 PKGBUILD |   30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

Copied: python-periphery/repos/community-staging-any/PKGBUILD (from rev 1063861, python-periphery/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2021-12-03 00:34:11 UTC (rev 1063863)
@@ -0,0 +1,30 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-periphery
+pkgver=2.3.0
+pkgrel=2
+pkgdesc="A pure Python 2/3 library for peripheral I/O (GPIO, LED, PWM, SPI, I2C, MMIO, Serial) in Linux"
+url="https://github.com/vsergeev/python-periphery"
+license=('MIT')
+arch=('any')
+depends=('python')
+makedepends=('python-setuptools')
+checkdepends=('python-pytest-runner')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/vsergeev/python-periphery/archive/v$pkgver.tar.gz")
+sha512sums=('34042d9364d7846252f464cffb1361ea1c4717cce9c1fd6788f4be495784a17c42fc5fcf3f296a7d7277c420ed876f6c2815f9e46936460275356405911cb50d')
+
+build() {
+  cd python-periphery-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd python-periphery-$pkgver
+  python setup.py pytest || echo "Tests failed"
+}
+
+package() {
+  cd python-periphery-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}



More information about the arch-commits mailing list